Package org.eclipse.net4j.util.container

## Interface IPluginContainer

- All Superinterfaces:
    `IContainer<java.lang.Object>`, `IDeactivateable`, `ILifecycle`, `IManagedContainer`, `INotifier`

      public interface IPluginContainer
      extends IManagedContainer

  A `managed container` that is configured by the `extension registry` .
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IManagedContainer

      `IManagedContainer.ContainerAware`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IPluginContainer` | `INSTANCE` |

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainer

      `addPostProcessor, addPostProcessor, clearElements, forEachElement, forEachElement, forEachElement, getElement, getElement, getElementKey, getElementOrNull, getElements, getElements, getFactory, getFactoryRegistry, getFactoryTypes, getName, getPostProcessors, getProductGroups, loadElements, putElement, registerFactory, removeElement, removePostProcessor, saveElements, setName`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### INSTANCE

          static final IPluginContainer INSTANCE